Bug 2902 - [UPDATE REQUEST] systemd-194-27
: [UPDATE REQUEST] systemd-194-27
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 16:31 MSD by Aleksandr Kazantcev
Modified: 2013-10-28 12:23 MSK (History)
3 users (show)

See Also:
RPM Package: systemd-194-27
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
systemd-1.txt (3.14 KB, text/plain)
2013-10-20 23:07 MSD, Postnikov Dmitry
Details
ss-1.png (314.49 KB, image/png)
2013-10-20 23:09 MSD, Postnikov Dmitry
Details
ss2.png (314.31 KB, image/png)
2013-10-20 23:09 MSD, Postnikov Dmitry
Details
system-2-update.txt (9.16 KB, text/plain)
2013-10-20 23:11 MSD, Postnikov Dmitry
Details
dd1.png (293.37 KB, image/png)
2013-10-24 12:32 MSD, Postnikov Dmitry
Details
dd2.png (294.53 KB, image/png)
2013-10-24 12:33 MSD, Postnikov Dmitry
Details
tt4.png (303.55 KB, image/png)
2013-10-24 12:34 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-10-16 16:31:17 MSD
Fix network scripts
Comment 1 Aleksandr Kazantcev 2013-10-16 16:36:01 MSD
https://abf.rosalinux.ru/build_lists/1341899
https://abf.rosalinux.ru/build_lists/1341900

Advisory: This update enable autodetect and generate ifcfg network scripts always if USE_NM_ONLY set to NO or missing.
Comment 2 Vladimir Potapov 2013-10-17 15:12:22 MSD
The update route to extended testing
Comment 3 Postnikov Dmitry 2013-10-20 23:06:33 MSD
**************************
Extended testing report
**************************
The problems are.

In 4 computers "invalid" message in log during the updating packages:
=============
systemd-udevd[31066]: invalid ACTION operation
systemd-udevd[31066]: invalid rule '/etc/udev/rules.d/56-hpmud.rules:3'
systemd-udevd[31066]: specified group 'scanner' unknown
systemd-udevd[31066]: GOTO 'mdv_net_end' has no matching label in: '/lib/udev/rules.d/76-net.rules'
systemd-udevd[31066]: GOTO 'mdv_net_end' has no matching label in: '/lib/udev/rules.d/76-net.rules'
....
=============

All log in next Comment this...
Comment 4 Postnikov Dmitry 2013-10-20 23:07:16 MSD
Created attachment 2079 [details]
systemd-1.txt

In 4 computers "invalid" message in log during the updating packages.
Comment 5 Postnikov Dmitry 2013-10-20 23:09:01 MSD
Created attachment 2080 [details]
ss-1.png

This network service BEFORE updating systemd.
Comment 6 Postnikov Dmitry 2013-10-20 23:09:42 MSD
Created attachment 2081 [details]
ss2.png

This natwork service AFTER update systemd.
Comment 7 Postnikov Dmitry 2013-10-20 23:11:07 MSD
Created attachment 2082 [details]
system-2-update.txt

This attach log AFTER update AND reboot with NEW systemd.
Comment 8 Postnikov Dmitry 2013-10-20 23:12:18 MSD
The above logs and screenshots similar to the other 3 computers.
Comment 9 Aleksandr Kazantcev 2013-10-20 23:40:36 MSD
Yes - really network manager will be in failed state and with previous systemd to - it will not running, becouse we disable all old network part with NM. For me strange, that it will be run before.

We may disable network service if USE_NM_ONLY=yes present in system config and resolve problems.

I also fix mvd_net missing links in udev rule. Please will not close bug and wait tomorrow fixed packages.
Comment 10 Aleksandr Kazantcev 2013-10-20 23:41:13 MSD
Ups - not Network Manager, but network.service
Comment 11 Aleksandr Kazantcev 2013-10-21 21:05:10 MSD
Please test new systemd and initscripts with error resolving

systemd
https://abf.rosalinux.ru/build_lists/1363038
https://abf.rosalinux.ru/build_lists/1363039

initscripts
https://abf.rosalinux.ru/build_lists/1362991
https://abf.rosalinux.ru/build_lists/1362992
Comment 12 Vladimir Potapov 2013-10-22 09:22:08 MSD
The update route to extended testing
Comment 13 Postnikov Dmitry 2013-10-24 12:32:36 MSD
Created attachment 2113 [details]
dd1.png

(In reply to comment #11)
> Please test new systemd and initscripts with error resolving
> 
> systemd
> https://abf.rosalinux.ru/build_lists/1363038
> https://abf.rosalinux.ru/build_lists/1363039
> 
> initscripts
> https://abf.rosalinux.ru/build_lists/1362991
> https://abf.rosalinux.ru/build_lists/1362992


***************************
Extended testing report
***************************

This network service BEFORE update systemd.
Comment 14 Postnikov Dmitry 2013-10-24 12:33:25 MSD
Created attachment 2114 [details]
dd2.png

This network service AFTER update systemd.

(Rosa Gnome 64)
Comment 15 Postnikov Dmitry 2013-10-24 12:34:45 MSD
Created attachment 2115 [details]
tt4.png

This network service AFTER update systemd in Rosa KDE 64.
Comment 16 Postnikov Dmitry 2013-10-24 12:36:30 MSD
In Rosa Gnome with only wifi Broadcom card. In Rosa KDE with only Ethernet card.
Comment 17 Vladimir Potapov 2013-10-24 12:42:14 MSD
The network is operational after the update? On my realteck fine.
Comment 18 Postnikov Dmitry 2013-10-24 12:45:17 MSD
(In reply to comment #17)
> The network is operational after the update? On my realteck fine.

Yes. All network card work fine.
Comment 19 Vladimir Potapov 2013-10-25 19:11:54 MSD
systemd-194-28-rosa2012.1
initscripts-9.34-11-rosa2012.1
********************** Advisory ****************************
This update enable autodetect and generate ifcfg network scripts always if USE_NM_ONLY set to NO or missing.
***********************************************************
QA Verified